## API Report File for "@minecraft/math"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { Vector2 } from '@minecraft/server';
import type { Vector3 } from '@minecraft/server';

// @public
export function clampNumber(val: number, min: number, max: number): number;

// @public
export const VECTOR2_ZERO: Vector2;

// @public
export class Vector2Builder implements Vector2 {
    constructor(vecStr: string, delim?: string);
    constructor(vec: Vector2, arg?: never);
    constructor(x: number, y: number);
    // (undocumented)
    toString(options?: {
        decimals?: number;
        delimiter?: string;
    }): string;
    // (undocumented)
    x: number;
    // (undocumented)
    y: number;
}

// @public
export class Vector2Utils {
    static fromString(str: string, delimiter?: string): Vector2 | undefined;
    static toString(v: Vector2, options?: {
        decimals?: number;
        delimiter?: string;
    }): string;
}

// @public
export const VECTOR3_BACK: Vector3;

// @public
export const VECTOR3_DOWN: Vector3;

// @public
export const VECTOR3_EAST: Vector3;

// @public
export const VECTOR3_FORWARD: Vector3;

// @public
export const VECTOR3_HALF: Vector3;

// @public
export const VECTOR3_LEFT: Vector3;

// @public
export const VECTOR3_NEGATIVE_ONE: Vector3;

// @public
export const VECTOR3_NORTH: Vector3;

// @public
export const VECTOR3_ONE: Vector3;

// @public
export const VECTOR3_RIGHT: Vector3;

// @public
export const VECTOR3_SOUTH: Vector3;

// @public
export const VECTOR3_UP: Vector3;

// @public
export const VECTOR3_WEST: Vector3;

// @public
export const VECTOR3_ZERO: Vector3;

// @public
export class Vector3Builder implements Vector3 {
    constructor(vecStr: string, delim?: string, arg2?: never);
    constructor(vec: Vector3, arg?: never, arg2?: never);
    constructor(x: number, y: number, z: number);
    add(v: Partial<Vector3>): this;
    assign(vec: Vector3): this;
    clamp(limits: {
        min?: Partial<Vector3>;
        max?: Partial<Vector3>;
    }): this;
    cross(vec: Vector3): this;
    distance(vec: Vector3): number;
    dot(vec: Vector3): number;
    equals(v: Vector3): boolean;
    floor(): this;
    lerp(vec: Vector3, t: number): this;
    magnitude(): number;
    multiply(vec: Vector3): this;
    normalize(): this;
    rotateX(a: number): this;
    rotateY(a: number): this;
    rotateZ(a: number): this;
    scale(val: number): this;
    slerp(vec: Vector3, t: number): this;
    subtract(v: Partial<Vector3>): this;
    toString(options?: {
        decimals?: number;
        delimiter?: string;
    }): string;
    // (undocumented)
    x: number;
    // (undocumented)
    y: number;
    // (undocumented)
    z: number;
}

// @public
export class Vector3Utils {
    static add(v1: Vector3, v2: Partial<Vector3>): Vector3;
    static clamp(v: Vector3, limits?: {
        min?: Partial<Vector3>;
        max?: Partial<Vector3>;
    }): Vector3;
    static cross(a: Vector3, b: Vector3): Vector3;
    static distance(a: Vector3, b: Vector3): number;
    static dot(a: Vector3, b: Vector3): number;
    static equals(v1: Vector3, v2: Vector3): boolean;
    static floor(v: Vector3): Vector3;
    static fromString(str: string, delimiter?: string): Vector3 | undefined;
    static lerp(a: Vector3, b: Vector3, t: number): Vector3;
    static magnitude(v: Vector3): number;
    static multiply(a: Vector3, b: Vector3): Vector3;
    static normalize(v: Vector3): Vector3;
    static rotateX(v: Vector3, a: number): Vector3;
    static rotateY(v: Vector3, a: number): Vector3;
    static rotateZ(v: Vector3, a: number): Vector3;
    static scale(v1: Vector3, scale: number): Vector3;
    static slerp(a: Vector3, b: Vector3, t: number): Vector3;
    static subtract(v1: Vector3, v2: Partial<Vector3>): Vector3;
    static toString(v: Vector3, options?: {
        decimals?: number;
        delimiter?: string;
    }): string;
}

// (No @packageDocumentation comment for this package)

```
